OJS OCS OMP OHS

You are viewing the PKP Support Forum | PKP Home Wiki



db upgrade 2.1.0 to 2.1.1

Are you responsible for making OJS work -- installing, upgrading, migrating or troubleshooting? Do you think you've found a bug? Post in this forum.

Moderators: jmacgreg, btbell, michael, bdgregg, barbarah, asmecher

Forum rules
The Public Knowledge Project Support Forum is moving to http://forum.pkp.sfu.ca

This forum will be maintained permanently as an archived historical resource, but all new questions should be added to the new forum. Questions will no longer be monitored on this old forum after March 30, 2015.

db upgrade 2.1.0 to 2.1.1

Postby kellner » Mon Oct 23, 2006 4:15 am

Hello,

I just tried to upgrade from 2.1.0 to 2.1.1, doing a full package upgrade. The script stuff seems to have worked fine, but I'm having troubles with a DB upgrade, running php upgrade.php upgrade from the /tools directory.

This is the error message:

PHP Warning: Module 'gd' already loaded in Unknown on line 0
PHP Warning: Module 'iconv' already loaded in Unknown on line 0
[load: upgrade.xml]
[version: 2.1.1.9]
[schema: ojs_schema.xml]

ERROR: Upgrade failed: DB: Duplicate entry 'birgit.kellner@univie.ac.at' for key 3

Since I started to upgrade because I got duplicate key entries on file uploads, I must say I find this quite ironic :-)
kellner
 
Posts: 39
Joined: Fri Apr 07, 2006 12:11 pm

Postby kellner » Mon Oct 23, 2006 4:18 am

Sorry, I guess I know what's wrong: I had to disable the unique constraint on the email field in the users table in the earlier version, and I suppose the upgrade attempts to reinforce it and now has problems with duplicate e-mail-addresses.

Could you let me know where I can find the SQL code so as to change it accordingly?
kellner
 
Posts: 39
Joined: Fri Apr 07, 2006 12:11 pm


Return to OJS Technical Support

Who is online

Users browsing this forum: Bing [Bot], Yahoo [Bot] and 2 guests

cron